با Emacs24 بازش کردم و اینا رو توش نوشته بود. پیش نیازش رو نمیدونم کجای متن نوشته
#!/bin/sh
# This script was generated using Makeself 2.1.3
CRCsum="1021549658"
MD5="11a60fe12152d19f0f4787fafb0ea550"
TMPROOT="fglrx-install"
label="AMD Catalyst(TM) Proprietary Driver-8.97.100.7"
script="./ati-installer.sh"
scriptargs=""
filesizes="108546429"
GZIP_CMD="gzip -c9"
GUNZIP_CMD="gzip -cd"
MS_COMMAND="./makeself.sh /tmp/fglrx_installer_img /tmp/fglrx-8.97.100.7/amd-driver-installer-8.97.100.7-x86.x86_64.run AMD Catalyst(TM) Proprietary Driver-8.97.100.7 ./ati-installer.sh"
COMPRESS="gzip"
USIZE="308020"
MS_VERSION="2.1.3"
DATE="Tue Jan 15 16:33:29 EST 2013"
OSTYPE="linux-gnu"
SKIP="440"
PATCH_VERSION=
PACKAGE_VERSION=
signature="c13369fa786b034c66d4e66026b42733:f91d50cd565a337c48e3cb5114851602f75244cb4d5a3a745297cb2172fd070bf5055acf40:a70a589e4d5b602853e2d30115871050f50b0cc91b09367d57e0de5517821701a7045cc84c5f602e52b0d30115d51007f40150cd1b09317d51e6800416831751a70659cf4d0a602a52e4"
signature_file=common/etc/ati/signature
print_cmd_arg=""
if type printf > /dev/null; then
print_cmd="printf"
elif test -x /usr/ucb/echo; then
print_cmd="/usr/ucb/echo"
else
print_cmd="echo"
fi
MS_Printf()
{
$print_cmd $print_cmd_arg "$1"
}
MS_Progress()
{
while read a; do
MS_Printf .
done
}
MS_dd()
{
blocks=`expr $3 / 1024`
bytes=`expr $3 % 1024`
dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | \
{ test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks ; \
test $bytes -gt 0 && dd ibs=1 obs=1024 count=$bytes ; } 2> /dev/null
}
MS_Help()
{
cat << EOH >&2
Makeself version 2.1.3
1) Getting help or info about $0 :
$0 -h|--help Print this message
$0 -i|--info Print embedded info : title, default target directory, embedded script
$0 -l|--list Print the list of files in the archive
$0 -c|--check Checks integrity of the archive
$0 --extract NewDirectory Extract this package to NewDirectory only
2) Running $0 :
$0 [options] [additional arguments to embedded script] with following options (in that order)
--keep Do not erase target directory after running the embedded script
--uninstall[=force|dryrun] Run AMD Catalyst(TM) Proprietary Driver Uninstall
Following arguments will be passed to the embedded script:
--install Install the driver(default)
--listpkg List all the generatable packages
--buildpkg package Build "package" if generatable ("package" as returned by --listpkg)
--buildandinstallpkg package Build and Install "package" as returned by --listpkg
EOH
}
MS_Check()
{
OLD_PATH=$PATH
PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}
MD5_PATH=`exec 2>&-; which md5sum || type md5sum`
MD5_PATH=${MD5_PATH:-`exec 2>&-; which md5 || type md5`}
PATH=$OLD_PATH
MS_Printf "Verifying archive integrity..."
offset=`head -n $SKIP "$1" | wc -c | tr -d " "`
verb=$2
i=1
for s in $filesizes
do
crc=`echo $CRCsum | cut -d" " -f$i`
if test -x "$MD5_PATH"; then
md5=`echo $MD5 | cut -d" " -f$i`
if test $md5 = "00000000000000000000000000000000"; then
test x$verb = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
else
md5sum=`MS_dd "$1" $offset $s | "$MD5_PATH" | cut -b-32`;
if test "$md5sum" != "$md5"; then
echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
exit 2
else
test x$verb = xy && MS_Printf " MD5 checksums are OK." >&2
fi
crc="0000000000"; verb=n
fi
fi
if test $crc = "0000000000"; then
test x$verb = xy && echo " $1 does not contain a CRC checksum." >&2
else
sum1=`MS_dd "$1" $offset $s | cksum | awk '{print $1}'`
if test "$sum1" = "$crc"; then
test x$verb = xy && MS_Printf " CRC checksums are OK." >&2
else
echo "Error in checksums: $sum1 is different from $crc"
exit 2;
fi
fi
i=`expr $i + 1`
offset=`expr $offset + $s`
done
echo " All good."
}
DoUninstall()
{
AMD_UNINSTALL=/usr/share/ati/amd-uninstall.sh
doDryRun=""
useForce=""
if [ -n "`echo $1 | grep '='`" ]; then
#split out the parameters
param=`echo $1 | cut -d= -f2`
if [ "${param}" = "dryrun" ]; then
doDryRun="--dryrun"
elif [ "${param}" = "force" ]; then
useForce="--force"
elif [ -n "`echo ${param} | grep 'force'`" -a -n "`echo ${param} | grep 'dryrun'`" ]; then
echo "AMD Catalyst(TM) Proprietary Driver does not support"
echo "dryrun and force commands together."
echo "Please use dryrun only for uninstall details."
exit 1
else
echo "${param}: unsupported option passed to AMD Catalyst(TM) Proprietary Driver Uninstall"
exit 1
fi
fi
if [ -x "${AMD_UNINSTALL}" ]; then
sh ${AMD_UNINSTALL} $doDryRun $useForce
exit $?
else
echo "Uninstaller for AMD Catalyst(TM) Proprietary Driver, ${AMD_UNINSTALL}, does not exist or cannot be found."
exit 1
fi
}
UnTAR()
{
tar $1vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
}
finish=true
keep=n
initargs="$@"
#the target directory to extract this archive into
targetdir=
#if empty argument is given, then default_flag=y, which is equivalent to --install
default_flag=n
force_install=""
while true
do
case "$1" in
-h | --help)
MS_Help
exit 0
;;
--extract)
script=""
targetdir="$2"
keep=y
break
;;
-i | --info)
echo Identification: "$label"
echo Target directory: "$targetdir"
echo Uncompressed size: $USIZE KB
echo Compression: $COMPRESS
echo Date of packaging: $DATE
echo Built with Makeself version $MS_VERSION on $OSTYPE
if test x$script != x; then
echo Script run after extraction:
echo " " $script
fi
if test x"$keep" = xy; then
echo "directory $targetdir is permanent"
else
echo "$targetdir will be removed after extraction"
fi
exit 0
;;
-l | --list)
echo Target directory: $targetdir
offset=`head -n $SKIP "$0" | wc -c | tr -d " "`
for s in $filesizes
do
MS_dd "$0" $offset $s | eval "gzip -cd" | UnTAR t
offset=`expr $offset + $s`
done
exit 0
;;
-c | --check)
MS_Check "$0" y
exit 0
;;
--keep)
keep=y
shift
;;
--uninstall|--uninstall=*)
DoUninstall $1
exit $?
;;
#the following arguments will be passed to ati-installer.sh after .run archive extraction
--install)
default_flag=y
shift
;;
--force)
force_install="--force"
shift
;;
--listpkg)
break
;;
--buildpkg | --buildandinstallpkg)
break
;;
--identify)
break
;;
--installpkg)
break
;;
--getAPIVersion)
break
;;
"")
#default(normal install) --install
default_flag=y
break ;;
-* | *)
echo Unrecognized flag : "$1" >&2
MS_Help
exit 1
;;
esac
done
if [ -z "${targetdir}" ]; then
tmpdir="`mktemp -d ${TMPROOT}.XXXXXX`" 2>/dev/null
if [ $? -eq 0 ]; then
echo "Created directory ${tmpdir}" >&2
else
targetdir="${TMPROOT}"
fi
fi
if [ -n "${targetdir}" ]; then
tmpdir="${targetdir}"
if ! test -d "${targetdir}"; then
echo "Creating directory ${targetdir}" >&2
mkdir -p ${tmpdir} || {
echo 'Cannot create target directory' ${tmpdir} >&2
exit 1
}
else
_tmpdir_exists=1
echo 'Warning: target directory exists' ${targetdir} >&2
fi
fi
umask 0022
location="`pwd`"
if test x$SETUP_NOCHECK != x1; then
MS_Check "$0"
fi
offset=`head -n $SKIP "$0" | wc -c | tr -d " "`
MS_Printf "Uncompressing $label"
res=3
if test "$keep" = n; then
trap 'echo Signal caught, cleaning up >&2; if [ "${_tmpdir_exists}" != "1" ]; then /bin/rm -rf "${location}/${tmpdir}"; fi; eval $finish; exit 15' 1 2 3 15
fi
for s in $filesizes
do
if MS_dd "$0" $offset $s | eval "$GUNZIP_CMD" | ( cd "$tmpdir"; UnTAR x ) | MS_Progress; then
(PATH=/usr/xpg4/bin:$PATH; cd "$tmpdir"; chown -R `id -u` .; chgrp -R `id -g` .)
else
echo
echo "Unable to decompress $0" >&2
eval $finish; exit 1
fi
offset=`expr $offset + $s`
done
echo
#store signature
if [ -n "$signature" ]; then
echo -n $signature > "$tmpdir/$signature_file"
else
echo -n UNSIGNED > "$tmpdir/$signature_file"
fi
#extract the driver release version information from ${label}, which was set when we use makeself.sh to create
#this .run archive
drv_release=`echo $label | cut -d'-' -f2`
cd "$tmpdir"
res=0
if test x"$script" != x; then
#if ${default_flag} is "n" then arguments are further passed down to ati-installer.sh
#else no argument is passed, and we pass "--install" by default to ati-installer.sh
if [ "${default_flag}" = "n" ]; then
eval $script $drv_release $*
res=$?
else
#no parameters passed to installer
if [ `id -u` -ne 0 -a "${DISPLAY}" != "" ]
then
#user is not root and a display is available
#check to get appropriate sudo wrapper to call by using external script
#check if helper script exists before running it
if [ -x cimle-xdgsu ]; then
su_command=`. ./cimle-xdgsu`
fi
if [ -n "$su_command" ]
then
#check if using generic method of sudo wrapping
xtermchk=`echo $su_command | grep xterm `
gtermchk=`echo $su_command | grep gnome-terminal `
if [ -n "$xtermchk" -o -n "$gtermchk" ]
then
# use xterm dialog to request for su access.
# Check if root access permissions was granted by echoing to a file, sutest, prior to running installer
# file created in temporary extracted folder and will be removed unless keep=y
cmd="${su_command} \"su -c 'echo 1 > sutest && $script $drv_release --install $force_install'\""
eval ${cmd}
res=$?
#check if file, sutest, exists to determine if root access granted
if [ -f sutest ]
then
#check if file has expected contents
if [ `cat sutest` != "1" ]
then
#failed to get root access
su_command=""
res=1
fi
else
#failed to get root access
su_command=""
res=1
fi
else
#found appropriate sudo wrapper to launch installer
cmd="\"`pwd | sed 's/ /\\\\\\ /'`/$script $drv_release --install $force_install\""
eval ${su_command} ${cmd}
res=$?
#check if error occurred, such as password not provided, etc, reset command to rerun installer with default method
if [ $res -ne 0 -a ! \( -f "`pwd`/ATI_STATUS" \) ]; then
#error occurred, try rerunning installer without sudo wrapper
#reset command to rerun installer to get UI message that user needs root access
su_command=""
fi
fi
fi
fi
if [ "${su_command}" = "" ]
then
#either user is root, display is not available, DE not detected or failed to get su/sudo access
#run installer as before to get loki installer to provide user with feedback that su required
eval $script $drv_release --install $force_install
res=$?
fi
AtiStatusFile=`pwd`/ATI_STATUS
if [ -f "$AtiStatusFile" ]; then
res=`cat "$AtiStatusFile"`
fi
fi
#TODO:return error code checking, may become useful in the future
#if test $res -ne 0; then
# echo "The program '$script' returned an error code ($res)" >&2
#fi
fi
if [ "$keep" = "n" ]; then
echo "Removing temporary directory: $tmpdir"
rm -rf ../$tmpdir
fi
eval $finish; exit $res
�)��P�Z
p[Uv�d��B^)�2c�*�p���X��_�u�b��4%8iC[�5��Fzr������F��fi
.
.
.